<br><br><div class="gmail_quote">On Mon, Feb 1, 2010 at 12:33 PM, David Cournapeau <span dir="ltr">&lt;<a href="mailto:cournape@gmail.com">cournape@gmail.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
<div class="im">On Sun, Jan 31, 2010 at 11:43 PM, Ralf Gommers<br>
&lt;<a href="mailto:ralf.gommers@googlemail.com">ralf.gommers@googlemail.com</a>&gt; wrote:<br>
&gt; Hi,<br>
&gt;<br>
&gt; With only a few changes (see diff below) to pavement.py I managed to build a<br>
&gt; dmg installer. For this I used the Python in the bootstrap virtualenv<br>
&gt; however, instead of the one in /Library/Frameworks/Python.framework/. Does<br>
&gt; this matter?<br>
<br>
</div>Yes it does. The binary installers should target the python from<br>
<a href="http://python.org" target="_blank">python.org</a>, nothing else.<br>
<div class="im"><br>
&gt; For making releases, would I need the framework build? Do I need 32- and<br>
&gt; 64-bit versions of Python 2.4, 2.5 and 2.6?<br>
<br>
</div>The python from <a href="http://python.org" target="_blank">python.org</a> do not support 64 bits (yet), so just build<br>
for ppc/x86. I never bothered with ppc64, and I think we can actually<br>
give up on ppc soon.<br></blockquote><div><br><br>Thanks David, that&#39;s clear.<br><br>Can anyone please confirm that the MD5 checksum for the OS X installer for 2.6.4 at <a href="http://www.python.org/download/releases/">www.python.org/download/releases/</a> is 745494373683081a04cc71522f7c440e? I found an alternative download at <a href="http://openlogic.com">openlogic.com</a>, but if it&#39;s not the same as the <a href="http://python.org">python.org</a> version then I won&#39;t bother with it.<br>
<br>Cheers,<br>Ralf<br><br></div></div>